Skip to main content
PUT
/
v1
/
orgs
/
{org_id}
/
credentials
/
Create a credential
curl --request PUT \
  --url https://api.arklow.io/v1/orgs/{org_id}/credentials/ \
  --header 'Content-Type: application/json' \
  --header 'x-arklow-auth: <api-key>' \
  --data '
{
  "type": "http_auth_headers",
  "provider": "http",
  "label": "<string>",
  "metadata": {},
  "secret": {}
}
'
{
  "data": {
    "id": "<string>",
    "org_id": "<string>",
    "type": "<string>",
    "provider": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "label": "<string>",
    "version": 123,
    "metadata": {},
    "expires_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$

Body

application/json
type
enum<string>
required
Available options:
http_auth_headers
provider
enum<string>
Available options:
http
label
string
metadata
object
secret

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required